public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/google-reauth-python/
@ 2018-06-15  6:03 Zac Medico
  0 siblings, 0 replies; 7+ messages in thread
From: Zac Medico @ 2018-06-15  6:03 UTC (permalink / raw
  To: gentoo-commits

commit:     5daf69e0af73075aa8460c2cdf2f16fc9544931b
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 15 04:26:44 2018 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Fri Jun 15 06:03:22 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5daf69e0

dev-python/google-reauth-python: new package

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/google-reauth-python/Manifest           |  1 +
 .../google-reauth-python-0.1.0.ebuild              | 45 ++++++++++++++++++++++
 dev-python/google-reauth-python/metadata.xml       | 12 ++++++
 3 files changed, 58 insertions(+)

diff --git a/dev-python/google-reauth-python/Manifest b/dev-python/google-reauth-python/Manifest
new file mode 100644
index 00000000000..02bf095d83f
--- /dev/null
+++ b/dev-python/google-reauth-python/Manifest
@@ -0,0 +1 @@
+DIST google-reauth-python-0.1.0.tar.gz 17720 BLAKE2B c78a43f1062988ada715c9e1bb64c2252a3debd5b9b366df9780200717a006c5e4957bf37d81e645989c6fc74c5e5b4354c88244309bb1a22a936ef74f6172c8 SHA512 b92b822b5c59d74f7ac747e66f35eaa906a0e18ccbb791e0904551c6ecd9b904ac7602ea38333a16396ffa49638a1b4991827429c7f52311b9506f55400bf117

diff --git a/dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild b/dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild
new file mode 100644
index 00000000000..5bdf90cc789
--- /dev/null
+++ b/dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python based U2F host library"
+HOMEPAGE="https://github.com/google/google-reauth-python"
+SRC_URI="https://github.com/google/google-reauth-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+
+RDEPEND="
+	dev-python/oauth2client[${PYTHON_USEDEP}]
+	dev-python/pyu2f[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="
+	${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+	)
+"
+
+DOCS=( CHANGELOG.rst CONTRIBUTING.rst README.rst )
+
+python_prepare_all() {
+	sed -e "s:'some_origin'.encode('ascii'):'some_origin':" \
+		-e "s:SignResponse('key_handle', 'resp',:SignResponse('key_handle'.encode(), 'resp'.encode(),:" \
+		-i tests/test_reauth.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	py.test -v tests || die "Tests failed under ${EPYTHON}"
+}

diff --git a/dev-python/google-reauth-python/metadata.xml b/dev-python/google-reauth-python/metadata.xml
new file mode 100644
index 00000000000..babc9a18353
--- /dev/null
+++ b/dev-python/google-reauth-python/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>zmedico@gentoo.org</email>
+		<name>Zac Medico</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">google-reauth</remote-id>
+		<remote-id type="github">google/google-reauth-python</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/google-reauth-python/
@ 2019-06-25 21:53 Patrick McLean
  0 siblings, 0 replies; 7+ messages in thread
From: Patrick McLean @ 2019-06-25 21:53 UTC (permalink / raw
  To: gentoo-commits

commit:     f82ca5d802500722ecdd3622bf181e46dfb063ae
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Tue Jun 25 21:42:10 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Jun 25 21:42:10 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f82ca5d8

dev-python/google-reauth-python: Add python3_7

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.67, Repoman-2.3.16
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild b/dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild
index 39b3cb884ce..8567dfbc656 100644
--- a/dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild
+++ b/dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="6"
 
-PYTHON_COMPAT=( python2_7 python3_{5,6} )
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/google-reauth-python/
@ 2020-02-05 14:05 Michał Górny
  0 siblings, 0 replies; 7+ messages in thread
From: Michał Górny @ 2020-02-05 14:05 UTC (permalink / raw
  To: gentoo-commits

commit:     0a48bf07184fd8df6f4692a82e76dffde5992903
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  5 13:53:26 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Feb  5 14:05:14 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a48bf07

dev-python/google-reauth-python: Remove py2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild b/dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild
index df26df207de..e3130158a0d 100644
--- a/dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild
+++ b/dev-python/google-reauth-python/google-reauth-python-0.1.0.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="6"
 
-PYTHON_COMPAT=( python2_7 python3_{6,7} )
+PYTHON_COMPAT=( python3_{6,7} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/google-reauth-python/
@ 2020-05-07 17:57 Patrick McLean
  0 siblings, 0 replies; 7+ messages in thread
From: Patrick McLean @ 2020-05-07 17:57 UTC (permalink / raw
  To: gentoo-commits

commit:     fd2e1e8be1bd85bf2e731656a83994b2c139962e
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Thu May  7 17:56:39 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu May  7 17:56:39 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd2e1e8b

dev-python/google-reauth-python-0.1.0-r1: revbump, EAPI=7, py38

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 .../google-reauth-python-0.1.0-r1.ebuild           | 44 ++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/dev-python/google-reauth-python/google-reauth-python-0.1.0-r1.ebuild b/dev-python/google-reauth-python/google-reauth-python-0.1.0-r1.ebuild
new file mode 100644
index 00000000000..d9c8d75a6df
--- /dev/null
+++ b/dev-python/google-reauth-python/google-reauth-python-0.1.0-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python based U2F host library"
+HOMEPAGE="https://github.com/google/google-reauth-python"
+SRC_URI="https://github.com/google/google-reauth-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	dev-python/oauth2client[${PYTHON_USEDEP}]
+	dev-python/pyu2f[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="
+	${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+	)
+"
+
+DOCS=( CHANGELOG.rst CONTRIBUTING.rst README.rst )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	sed -e "s:'some_origin'.encode('ascii'):'some_origin':" \
+		-e "s:SignResponse('key_handle', 'resp',:SignResponse('key_handle'.encode(), 'resp'.encode(),:" \
+		-i tests/test_reauth.py || die
+
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/google-reauth-python/
@ 2021-03-02 21:33 Mike Frysinger
  0 siblings, 0 replies; 7+ messages in thread
From: Mike Frysinger @ 2021-03-02 21:33 UTC (permalink / raw
  To: gentoo-commits

commit:     11895070d2c70f6aa12120ddec7a47104521de55
Author:     Mike Frysinger <vapier <AT> chromium <DOT> org>
AuthorDate: Tue Mar  2 21:17:17 2021 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Tue Mar  2 21:32:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11895070

dev-python/google-reauth-python: version bump to 1.1.1

Signed-off-by: Mike Frysinger <vapier <AT> gentoo.org>

 dev-python/google-reauth-python/Manifest           |  1 +
 .../google-reauth-python-0.1.1.ebuild              | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/google-reauth-python/Manifest b/dev-python/google-reauth-python/Manifest
index 02bf095d83f..f0c4bede96d 100644
--- a/dev-python/google-reauth-python/Manifest
+++ b/dev-python/google-reauth-python/Manifest
@@ -1 +1,2 @@
 DIST google-reauth-python-0.1.0.tar.gz 17720 BLAKE2B c78a43f1062988ada715c9e1bb64c2252a3debd5b9b366df9780200717a006c5e4957bf37d81e645989c6fc74c5e5b4354c88244309bb1a22a936ef74f6172c8 SHA512 b92b822b5c59d74f7ac747e66f35eaa906a0e18ccbb791e0904551c6ecd9b904ac7602ea38333a16396ffa49638a1b4991827429c7f52311b9506f55400bf117
+DIST google-reauth-python-0.1.1.tar.gz 18302 BLAKE2B a21e174f7dffe48810679910bf8d6712fb4176e5608f2a068d575df3643c4db15a74dae92c15f4ffdc344d287c31a8eb58f94b0384e2d9fc808c072dc8f89043 SHA512 81705d4080b3d7fb0a73741f9f498f8014ec94aa165a5b112c8af8fddc8f040dc43809aff6df39354c8d975db0ee8d62d003c11b173bd56fcf9add1b01644930

diff --git a/dev-python/google-reauth-python/google-reauth-python-0.1.1.ebuild b/dev-python/google-reauth-python/google-reauth-python-0.1.1.ebuild
new file mode 100644
index 00000000000..ae794b24b60
--- /dev/null
+++ b/dev-python/google-reauth-python/google-reauth-python-0.1.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python based U2F host library"
+HOMEPAGE="https://github.com/google/google-reauth-python"
+SRC_URI="https://github.com/google/google-reauth-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/oauth2client-2.0.0[${PYTHON_USEDEP}]
+	dev-python/pyu2f[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="
+	${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+	)
+"
+
+DOCS=( CHANGELOG.rst CONTRIBUTING.rst README.rst )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	sed -e "s:'some_origin'.encode('ascii'):'some_origin':" \
+		-e "s:SignResponse('key_handle', 'resp',:SignResponse('key_handle'.encode(), 'resp'.encode(),:" \
+		-i tests/test_reauth.py || die
+
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/google-reauth-python/
@ 2021-10-17  8:23 Michał Górny
  0 siblings, 0 replies; 7+ messages in thread
From: Michał Górny @ 2021-10-17  8:23 UTC (permalink / raw
  To: gentoo-commits

commit:     b4f44501beec52ceb1e411d6db3218664d2b308d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 17 08:19:32 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Oct 17 08:23:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4f44501

dev-python/google-reauth-python: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/google-reauth-python/Manifest           |  1 -
 .../google-reauth-python-0.1.0-r1.ebuild           | 44 ----------------------
 2 files changed, 45 deletions(-)

diff --git a/dev-python/google-reauth-python/Manifest b/dev-python/google-reauth-python/Manifest
index f0c4bede96d..ffc1320c983 100644
--- a/dev-python/google-reauth-python/Manifest
+++ b/dev-python/google-reauth-python/Manifest
@@ -1,2 +1 @@
-DIST google-reauth-python-0.1.0.tar.gz 17720 BLAKE2B c78a43f1062988ada715c9e1bb64c2252a3debd5b9b366df9780200717a006c5e4957bf37d81e645989c6fc74c5e5b4354c88244309bb1a22a936ef74f6172c8 SHA512 b92b822b5c59d74f7ac747e66f35eaa906a0e18ccbb791e0904551c6ecd9b904ac7602ea38333a16396ffa49638a1b4991827429c7f52311b9506f55400bf117
 DIST google-reauth-python-0.1.1.tar.gz 18302 BLAKE2B a21e174f7dffe48810679910bf8d6712fb4176e5608f2a068d575df3643c4db15a74dae92c15f4ffdc344d287c31a8eb58f94b0384e2d9fc808c072dc8f89043 SHA512 81705d4080b3d7fb0a73741f9f498f8014ec94aa165a5b112c8af8fddc8f040dc43809aff6df39354c8d975db0ee8d62d003c11b173bd56fcf9add1b01644930

diff --git a/dev-python/google-reauth-python/google-reauth-python-0.1.0-r1.ebuild b/dev-python/google-reauth-python/google-reauth-python-0.1.0-r1.ebuild
deleted file mode 100644
index ac3f25930b3..00000000000
--- a/dev-python/google-reauth-python/google-reauth-python-0.1.0-r1.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python based U2F host library"
-HOMEPAGE="https://github.com/google/google-reauth-python"
-SRC_URI="https://github.com/google/google-reauth-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	dev-python/oauth2client[${PYTHON_USEDEP}]
-	dev-python/pyu2f[${PYTHON_USEDEP}]
-	dev-python/six[${PYTHON_USEDEP}]
-"
-DEPEND="
-	${RDEPEND}
-	dev-python/setuptools[${PYTHON_USEDEP}]
-	test? (
-		dev-python/pytest[${PYTHON_USEDEP}]
-		dev-python/mock[${PYTHON_USEDEP}]
-	)
-"
-
-DOCS=( CHANGELOG.rst CONTRIBUTING.rst README.rst )
-
-distutils_enable_tests pytest
-
-python_prepare_all() {
-	sed -e "s:'some_origin'.encode('ascii'):'some_origin':" \
-		-e "s:SignResponse('key_handle', 'resp',:SignResponse('key_handle'.encode(), 'resp'.encode(),:" \
-		-i tests/test_reauth.py || die
-
-	distutils-r1_python_prepare_all
-}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/google-reauth-python/
@ 2022-05-22 16:02 Zac Medico
  0 siblings, 0 replies; 7+ messages in thread
From: Zac Medico @ 2022-05-22 16:02 UTC (permalink / raw
  To: gentoo-commits

commit:     717ed6a94a19d90252d0c16597944fc37a996053
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sun May 22 16:02:08 2022 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun May 22 16:02:35 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=717ed6a9

dev-python/google-reauth-python: enable py3.10

Closes: https://bugs.gentoo.org/845738
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 dev-python/google-reauth-python/google-reauth-python-0.1.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/google-reauth-python/google-reauth-python-0.1.1.ebuild b/dev-python/google-reauth-python/google-reauth-python-0.1.1.ebuild
index ae794b24b60f..5cee05e0734a 100644
--- a/dev-python/google-reauth-python/google-reauth-python-0.1.1.ebuild
+++ b/dev-python/google-reauth-python/google-reauth-python-0.1.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="7"
 
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{8..10} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2022-05-22 16:02 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-10-17  8:23 [gentoo-commits] repo/gentoo:master commit in: dev-python/google-reauth-python/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2022-05-22 16:02 Zac Medico
2021-03-02 21:33 Mike Frysinger
2020-05-07 17:57 Patrick McLean
2020-02-05 14:05 Michał Górny
2019-06-25 21:53 Patrick McLean
2018-06-15  6:03 Zac Medico

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox